%{!?RPM_GIT_VERSION:%define RPM_GIT_VERSION unknown}

Name: mlink
Summary: M-Link common package
Version: 1.37.6
Release: %{RPM_GIT_VERSION}%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/mlink
Source0: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: zlib-devel >= 1.2
BuildRequires: qt5-qtbase-devel

# This package provides userspace tools for kernel module pexml
Requires: pexml-kmod  >= %{version}
Provides: mlink-kmod-common = %{version}
Provides: pexml-kmod-common = %{version}

%description
M-Link is a custom communication interface based on packet structure like
Ethernet. It is used with ADCM, VMEDAQ projects.

%global debug_package %{nil}

%prep
%setup -q -n %{name}-%{version}/src

%build
cd progs
qmake-qt5 INSTALLBASE=%{buildroot}%{_prefix} 
make

%install
rm -rf $RPM_BUILD_ROOT
cd progs
make install
install -d %{buildroot}%{_prefix}/bin
#install ../../driver/mlink_load %{buildroot}%{_bindir}/
install -d %{buildroot}%{_sysconfdir}/udev/rules.d
install ../../driver/udev.rules %{buildroot}%{_sysconfdir}/udev/rules.d/99-mlink.rules
#install -d %{buildroot}%{_sysconfdir}
#install src/security.perms %{buildroot}%{_sysconfdir}/
#  SYSCONFDESTDIR=%{buildroot}%{_sysconfdir}
# nuke dandling reference(s) to %buildroot
#sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" %{buildroot}%{_libdir}/*.prl

%post
#test -f %{_sysconfdir}/rc.d/rc.local && sed -i -e '/mlink_load/d' %{_sysconfdir}/rc.d/rc.local

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
#{_sysconfdir}/security/console.perms.d/security.perms
%config %{_sysconfdir}/udev/rules.d/99-mlink.rules

%package prog
Summary: M-Link JTAG programming tools
Group: Electronic Lab
#BuildRequires: boost-devel >= 1.32
BuildRequires: qt5-qtbase-devel

%description prog
M-Link JTAG programming tools

%files prog
%defattr(-,root,root)
#{_bindir}/svfload
#{_bindir}/svftest
%{_bindir}/pexmlsfp

%changelog
* Wed Oct 16 2019  <Ilja.Slepnev@jinr.ru> - 1.37.2
- include git hash in rpm release string

* Thu Oct  3 2019  <Ilja.Slepnev@jinr.ru> - 1.37
- added ml_read_board_info

* Thu Apr 19 2018  <Ilja.Slepnev@jinr.ru> - 1.35
- Flash programmer interface

* Wed Feb  7 2018  <Ilja.Slepnev@jinr.ru> - 1.34
- GTX, SFP control/status

* Tue Jul 28 2015  <Ilja.Slepnev@jinr.ru> - 1.33.3
- rpm provides mlink-kmod-common, pexml-kmod-common

* Sun Jun 21 2015  <Ilja.Slepnev@jinr.ru> - 1.33
- register in sysfs, udev support

* Wed Feb 12 2014  <Ilja.Slepnev@jinr.ru> - 1.33
- pexml driver, removed melink driver

* Fri Sep 27 2013  <Ilja.Slepnev@jinr.ru> - 1.33
- correct status report with firmware r.15176

* Tue Dec 04 2012  <Ilja.Slepnev@jinr.ru> - 
- package mlink-prog

* Mon Mar 15 2010  <Ilja.Slepnev@jinr.ru> - 
- Fixed version and revision reporting in /proc and via ioctl

* Wed Aug  5 2009  <Ilja.Slepnev@jinr.ru> - 
- Removed custom crc32 code, use Zlib

* Wed Jul 29 2009  <Ilja.Slepnev@jinr.ru> - 
- SVF file loader

* Mon Jul 27 2009  <Ilja.Slepnev@jinr.ru> - 
- JTAG interface implementation
- changed install path for includes: .../mlink/*.h

* Tue May 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Split in two packages: mlink and mlink-kmod

* Wed Apr 22 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.30: build with kmodtool2. Package name changed: mlink-utils, mlink-kmod

* Mon Apr 20 2009  <Ilja.Slepnev@jinr.ru> - 
- removed mlink.ko file. use melink.ko

* Wed Apr 08 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.29: Removed special run-mode. Packet mode only.

* Wed Mar 25 2009  <Ilja.Slepnev@jinr.ru> - 
- Fixed communication problem caused by receiver_reset() in RXC handler
- testlink: Fixed clock locking problem when changing loopback mode

* Tue Mar  3 2009  <Ilja.Slepnev@jinr.ru> - 
- Changed version to 1.28
- Added MlinkDevice interface class

* Thu Feb 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Added control frame loopback bit

* Thu Dec 11 2008  <Ilja.Slepnev@jinr.ru> - 
- Handle link up/down status on reset, use OSD bit

* Fri Nov 28 2008  <Ilja.Slepnev@jinr.ru> - 
- defined 'kdir' macro
- fixed x86_64 warnings

* Thu Nov 27 2008  <Ilja.Slepnev@jinr.ru> - 
- spec file corrected to build on Fedora 10.

* Tue Nov 18 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.

